Search Teasers

Search Teasers

Returns a paged list of search teasers and provides search functionality.

Returns a paged list of search teasers and provides search functionality.

get
https://api-qual.migros.ch/migros/products/v8/teasers

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

viewstring

Show specific set of search teasers. Either ‘all’ or ‘browse’ (hiding unwanted search teasers).

Allowed values:allbrowse

Default:browse

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

custom_imageboolean

Whether to output the custom image format with placeholders for width and height.

Default:false

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

SearchTeaserCollection

A collection of search teaser instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

teasersarray[object]required

Represents a search teaser entry from the migros website.

Show Child Parameters
get/migros/products/v8/teasers
 
application/json

AbstractCollection

A generic collection of elements.

AbstractSearchResultCollection

object

A collection of search result instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

Example

Image

object

An image and its properties.

codestringDEPRECATED

Code for the image, useful for pictograms.

customstringDEPRECATED

Image URL with placeholders for {width} and {height}.

descriptionstringDEPRECATED

Image description, useful for example as alt attribute.

end_datestring(date-time)DEPRECATED

End date of the validity.

hashstringDEPRECATED

Sha1 hash of original image.

originalstringDEPRECATED

Full size image.

sourcestringDEPRECATED

Source where the image comes from originally.

stackstringDEPRECATED

Image URL with a placeholder for a Rokka {stack}.

start_datestring(date-time)DEPRECATED

Start date of the validity.

tagsarray[string]DEPRECATED
Example